<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 2.6.10  
* Copyright (C) 2007: Fred Stuurman (fc.stuurman@gmail.com)
* Mailpage module: 
* admin.php: last changed 16/02/2007 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* Multiple file upload applet postlet used is from http://sourceforge.net/projects/postlet/
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/
if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
//initialize vars
$modoption = "list_contacts";	//default choice
$name = "";
$message = "";
$email = "";
$email_text = "";
$email_picture = "";
$email_thankyou_text = "";
$description = "";

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 15, 'A');
}
if (IsSet ($_POST['email']))
{
	$email = sanitize($_POST['email'], 80 , 'A'); //sanitize, max 80 characters
}
if (IsSet ($_POST['email_text']))
{
	$email_text = sanitize($_POST['email_text'], 0 , 'H'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['email_picture']))
{
	$email_picture = sanitize($_POST['email_picture'], 50 , 'S'); //sanitize 50 chars max
}
if (IsSet ($_POST['email_thankyou_text']))
{
	$email_thankyou_text = sanitize($_POST['email_thankyou_text'], 0 , 'H'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['name']))
{
	$name = sanitize($_POST['name'], 60 , 'S'); //sanitize, 50 chars max
}
if (IsSet ($_POST['sort']))
{
	$sort = sanitize($_POST['sort'], 5 , 'I'); //sanitize, integer 5 pos.
}
if (IsSet ($_POST['description']))
{
	$description = sanitize($_POST['description'], 50 , 'S'); //sanitize, 50 chars max
}

if (IsSet ($_GET['contact']))
{
	$contact = sanitize($_GET['contact'], 5 , 'I'); //sanitize, integer 5 pos.
}
if (IsSet ($_POST['public']))
{
	$public = sanitize($_POST['public'], 1 , 'I');
}

load_language('', 'sn_mailpage'); //load language file

include ("interface/header.inc.php");
print "
<script type=\"text/javascript\">
	$(document).ready(function() {
		$(\"#theForm\").validate(
		{
		errorLabelContainer: \"#ErrorBox\",
		groups: {group1:\"name email\"},
		  rules: {
			name: {
			  required: true,
			  rangelength: [2, 60]
			},
			email: {
			  required: true,
			  email: true
			}
	}
  })
});
	</script>";

include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");

$class = "";
if($modoption == "list_contacts") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=list_contacts\">" . $sas_lang['email_module_addressees'] . "</a></li>\n";

$class = "";
if($modoption == "config") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&modoption=config\">" . $sas_lang['configuration'] . "</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

$table_email_addresses = $dbprefix . "m_mail_address";

print "<span class=\"sas_module_title\">$modulename<br><br></span>";

switch ($modoption) // start of switch
{

	case save_config :
	
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$email_text' WHERE config_key = 'email_text'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$email_thankyou_text' WHERE config_key = 'email_thankyou_text'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$email_picture' WHERE config_key = 'email_picture'");
		
		print "" . $sas_lang['email_module_saved'] . "</span>";
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	break;
	
	case delete_contact :
	
		mysqli_query($db,"DELETE FROM $table_email_addresses WHERE id = '".$contact."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_contacts'</script>";
		
	break;
	
	case save_contact :
	
		if ($contact == 0)	//when contact is 0 we have a new one.
		{
			mysqli_query($db,"INSERT INTO $table_email_addresses (id, name, description, email, welcometext, thankyoutext, sort, public)
				VALUES (NULL, '$name', '$description', '$email', '$email_text', '$email_thankyou_text', '$sort', '$public')");
		}
		else
		{
			mysqli_query($db,"UPDATE $table_email_addresses 
								SET email = '$email' ,
								name = '$name' ,
								description = '$description' ,
								welcometext = '$email_text' ,
								thankyoutext = '$email_thankyou_text',
								sort = '$sort',
								public = '$public'
								WHERE id = '".$contact."'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_contacts'</script>";
		
	break;

	case config :
	
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_config\">";
		print "" . $sas_lang['email_module_config'] . "<br><br>";
  
    	print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
        print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_welcome_text'] . ":</td></tr>
               <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";

		// call basic ckeditor for welcome text
		small_editor('email_text', $sas_config['email_text'], 'editor1');
		
		print "</td></tr>
               <tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_thankyou_text'] . "</td></tr>
               <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
		
		// call basic fck editor for welcome text
		small_editor('email_thankyou_text', $sas_config['email_thankyou_text'], 'editor2');
		
		print "</td></tr>";
		print "</select>";
		print "<tr><td width=\"50%\" class=\"sas_row_color_even\">" . $sas_lang['email_module_picture'] . "</td><td class=\"sas_row_color_even\">
			<input type=\"text\" size=\"60\" class=\"textfield\" name=\"email_picture\" value=\"" . $sas_config['email_picture'] . "\">";
		print "</td></tr>";
        print "</table>";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "\n&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

	case add_contact :
	
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['email_module_add'] . "</span><p>";
		print "<FORM name=\"theForm\" id=\"theForm\" METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_contact&contact=0\">";
    	print "<div id=\"ErrorBox\"></div>\n";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
		print "  <tr><td class=\"sas_row_color_even\" width=\"50%\">" . $sas_lang['email_module_name'] . " </td>
				<td class=\"sas_row_color_even\"><input type=\"text\" name=\"name\" size=\"50\" class=\"required\"></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_email'] . " </td>
				 <td class=\"sas_row_color_even\"><input type=\"text\" name=\"email\" size=\"50\" class=\"required\"></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_description'] . ":</td>
				 <td class=\"sas_row_color_even\"><input type=\"text\" name=\"description\" size=\"50\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_sort'] . " </td>
				 <td class=\"sas_row_color_even\"><input type=\"text\" name=\"sort\" size=\"4\" class=\"textfield\"></td></tr>
                 <tr><td class=\"sas_row_color_even\" colspan=\"2\">".$sas_lang['email_module_protected_only'].": ".$sas_lang['yes'] ;
		
		print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"public\">";
		print "&nbsp;&nbsp; ".$sas_lang['no'];
		print "<input type=\"radio\" class=\"radio\" name=\"public\" value=\"0\" checked>";

		print "</td></tr>
				<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_welcome_text'] . ":</td></tr>
				 <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
		// call basic ckeditor for welcome text
		small_editor('email_text', "", 'editor1');		 

		print "</td></tr>	 
			<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_thankyou_text'] . "</td></tr>
            <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
		// call basic fck editor for welcome text
		small_editor('email_thankyou_text', "", 'editor2');

		print "</td></tr>";
		print "</table>";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

	case edit_contact :
	
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['email_module_change'] . "</span><p>";
		$query = "SELECT id, name, description, email, welcometext, thankyoutext, sort, public FROM $table_email_addresses WHERE id = '".$contact."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$address_list = mysqli_fetch_array($result);
		print "<FORM METHOD=\"POST\" NAME=\"form\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_contact&contact=$contact\">";

    	print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
		print "  <tr><td class=\"sas_row_color_even\" width=\"50%\">" . $sas_lang['email_module_name'] . " </td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"name\" size=\"50\" value=\"$address_list[1]\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_email'] . " </td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"email\" size=\"50\" value=\"$address_list[3]\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_description'] . ":</td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"description\" size=\"50\" value=\"$address_list[2]\" class=\"textfield\"></td></tr>
   				 <tr><td class=\"sas_row_color_even\">" . $sas_lang['email_module_sort'] . " </td><td class=\"sas_row_color_even\"><input type=\"text\" name=\"sort\" size=\"4\" value=\"$address_list[6]\" class=\"textfield\"></td></tr>
				 <tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_welcome_text'] . ":</td></tr>
				 <tr><td class=\"sas_row_color_even\" colspan=\"2\">".$sas_lang['email_module_protected_only'].": ".$sas_lang['yes'] ;
		
		if ($address_list[7] == "0")
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"public\">";
			print "&nbsp;&nbsp; ".$sas_lang['no'];
			print "<input type=\"radio\" class=\"radio\" name=\"public\" value=\"0\" checked>";
		}
		else
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"public\" checked>";
			print "&nbsp;&nbsp; ".$sas_lang['no'];
			print "<input type=\"radio\" class=\"radio\" name=\"public\" value=\"0\">";
		}

		print "</td></tr>
                 <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
		// call basic ckeditor for welcome text
		small_editor('email_text', $address_list[4], 'editor1');		 

		print "</td></tr>	 
			<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['email_module_thankyou_text'] . "</td></tr>
            <tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
		// call basic fck editor for welcome text
		small_editor('email_thankyou_text', $address_list[5], 'editor2');

		print "</td></tr>";
		print "</table>";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

	case list_contacts :
	
		print "" . $sas_lang['email_module_header'] . "<br><br>";
		print "<p><table border=\"0\">
			   <tr>
				   <td width=\"55\" colspan=\"2\">&nbsp;</td>
				   <td width=\"200\" class=\"text\"><b>" . $sas_lang['email_module_name'] . "</b></td>
				   <td width=\"250\" class=\"text\"><b>" . $sas_lang['email_module_email'] . "</b></td>
				   <td class=\"text\"><b>" . $sas_lang['email_module_sort'] . "</b></td>
			   </tr>";
		$query = "SELECT id, name, description, email, sort, public FROM $table_email_addresses ORDER BY sort";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		
		while ($address_list = mysqli_fetch_array($result))
		{
			$public = "" ;
			if ($address_list[5] == 1)
			{
				$public = "(*)";
			}
			print "<tr bgcolor=\"$bgcolor\">
					 <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"$sas_lang[delete]\" title=\"$sas_lang[delete]\" width=\"16\" height=\"16\" class=\"tooltip\"  
					 onClick=\"if(confirm('" . $sas_lang['email_module_delete'] . $address_list[1] . "')) parent.location='index.php?option=modulemanager&module=$module&modoption=delete_contact&contact=$address_list[0]';\"></td>
					 <td><img border=\"0\" src=\"graphics/edit.gif\" alt=\"$sas_lang[edit]\"  title=\"$sas_lang[edit]\"width=\"16\" height=\"16\" class=\"tooltip\"  
					 onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_contact&contact=$address_list[0]';\"></td>";
	
			print "<td class=\"text\"><a href=\"index.php?option=modulemanager&module=$module&modoption=edit_contact&contact=$address_list[0]\">$address_list[1]</a> <span class=\"sas_module_lbl2\">$public</span></td>
					 <td class=\"text\">$address_list[3]</td>
					 <td class=\"text\">$address_list[4]</td>
					 </tr>";
		}
	
		print "</table><p><br /><span class=\"sas_module_lbl2\">(*) " . $sas_lang['protected_area'] . "</span><p>";
		
		print "<p><img src=graphics/add.gif alt=\"" . $sas_lang['email_module_add'] . "\">
				<a href=\"$PHP_SELF?option=modulemanager&module=$module&modoption=add_contact\">&nbsp;" . $sas_lang['email_module_add'] . "</a><br><br>";
		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";

	break;
} //end of switch

include ("interface/footer.inc.php");
?>
