<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Forms builder module : 
* admin.php: last changed 06/09/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['form']))
{
	$form = intval($_GET['form']);
}
if (IsSet ($_GET['field_id']))
{
	$field_id = $_GET['field_id'];
	$delete_list[0] = $_GET['field_id'];	//just one data item to delete put it as single item in an array
}
if (IsSet ($_POST['form_name']))
{
	$form_name = sanitize($_POST['form_name'], 60 , 'S');
}
if (IsSet ($_POST['form_email']))
{
	$form_email = sanitize($_POST['form_email'], 160 , 'S'); //sanitize, max 80 characters
}
if (IsSet ($_POST['form_email_subject']))
{
	$form_email_subject = sanitize($_POST['form_email_subject'], 50 , 'S');
}
if (IsSet ($_POST['form_email_text']))
{
	$form_email_text = sanitize($_POST['form_email_text'], 0 , 'H'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['form_id']))
{
	$form_id = $_POST['form_id']; //array
}
if (IsSet ($_POST['form_width']))
{
	$form_width = intval($_POST['form_width']);
	if(($form_width == 0) OR ($form_width < 400))
	{
		$form_width = 400;
	}
}
if (IsSet ($_POST['form_input_length']))
{
	$form_input_length = $_POST['form_input_length'];
}
if (IsSet ($_POST['form_input_order']))
{
	$form_input_order = $_POST['form_input_order'];
}
if (IsSet ($_POST['form_input_req']))
{
	$form_input_req = $_POST['form_input_req'];
}
if (IsSet ($_POST['form_input_exp']))
{
	$form_input_exp = $_POST['form_input_exp'];
}
if (IsSet ($_POST['form_input_name']))
{
	$form_input_name = $_POST['form_input_name'];
}
if (IsSet ($_POST['form_input_number']))
{
	$form_input_number = intval($_POST['form_input_number']);
	if($form_input_number == 0)
	{
		$form_input_number = 1;
	}
}
if (IsSet ($_POST['form_welcome']))
{
	$form_welcome = sanitize($_POST['form_welcome'], 0 , 'H'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['form_thank_you_text']))
{
	$form_thank_you_text = sanitize($_POST['form_thank_you_text'], 0 , 'H'); //sanitize the input, leave html tags in tact
}
if (IsSet ($_POST['check']))
{
	$check = intval($_POST['check']);
}
if (IsSet ($_POST['store_data']))
{
	$store_data = intval($_POST['store_data']);
}
if (IsSet ($_POST['delete_list']))
{
	$delete_list = $_POST['delete_list'];
}
if (IsSet ($_POST['email_field']))
{
	$email_field = intval($_POST['email_field']);
}

load_language('', 'sn_form'); //load language file

//set the forms table names
$table_forms = $dbprefix . "m_forms";
$table_forms_config = $dbprefix . "m_forms_config";
$table_forms_data = $dbprefix . "m_forms_data";

include ("interface/header.inc.php");
print "
<script type=\"text/javascript\">
	$(document).ready(function() {
		$(\"#theForm\").validate(
		{
		errorLabelContainer: \"#ErrorBox\",
		groups: {group1:\"form_name form_email form_input_number \"},
		  rules: {
			form_name: {
			  required: true,
			  rangelength: [2, 60]
			},
			form_email: {
			  required: true,
			  email: true
			},
			form_input_number: {
			required: true,
			number: true
			}
	}
  })
});
	</script>";

include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
$class = "";
if($module == $module) $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module\">$modulename</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");
print "<span class=\"sas_module_title\">$modulename</span><br />";
print $sas_lang['forms_module_intro'] ;

switch ($modoption) // start of switch
{
	default :
	
		$query = "SELECT id, form_name FROM $table_forms_config";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 

		if (mysqli_num_rows($result) > 0)
		{
			while ($form_list = mysqli_fetch_array($result)) //list all forms
			{
				//get the number of records for forms which store data in the data table
				$query1 = "SELECT f.id FROM $table_forms as f
							JOIN $table_forms_data AS d WHERE f.form_id = d.form_id AND f.id = d.field_id AND f.form_id = '".$form_list[0]."'
							GROUP BY d.data_index";

				$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
				$RecordCount = mysqli_num_rows($result1);

				print "<p><table>
					  <tr>
					  <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
					  onClick=\"if(confirm('$sas_lang[forms_module_delete_confirm]'))
					  parent.location='index.php?option=modulemanager&module=$module&modoption=delete_form&form=$form_list[0]';\">
					  <img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
					  onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_form&form=$form_list[0]'\">
					  <img border=\"0\" src=\"graphics/fields.gif\" alt=\"" . $sas_lang['forms_module_fields'] . "\" title=\"" . $sas_lang['forms_module_fields'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
					  onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_fields&form=$form_list[0]'\">
					  </td>
					  <td><a href=\"index.php?option=modulemanager&module=$module&modoption=show_data&form=$form_list[0]\">$form_list[1]</a> ($RecordCount)</td>
					  </tr></table>";
			}
		}
		else
		{
			print "<p><br />" . $sas_lang['empty_list'] ;
		}
		print "<p><br /><img border=\"0\" src=\"graphics/add.gif\">
				<a href=\"index.php?option=modulemanager&module=$module&modoption=add_form\">$sas_lang[forms_module_add]</a>";

		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";

	break;

	case delete_form :
	
		mysqli_query($db,"DELETE from $table_forms WHERE form_id = '".$form."'");
		mysqli_query($db,"DELETE from $table_forms_config WHERE id = '".$form."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "'</script>";
	
	break;

	case delete_data :
	
		if(count($delete_list) > 0 )
		{
			// the data to be deleted are stored in $delete_list array
			foreach ($delete_list as $field_id)
			{	//delete the selected data
				$field_id = intval($field_id) ;
				mysqli_query($db,"DELETE from $table_forms_data WHERE data_index = '".$field_id."'");
			}
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&modoption=show_data&form=$form'</script>";
	
	break;

	case delete_input :
	
		mysqli_query($db,"DELETE from $table_forms WHERE id = '".$field_id."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&modoption=edit_fields&form=$form'</script>";

	break;

	case insert_input :
	
		$query1 = "SELECT sort, form_id FROM $table_forms WHERE id = '".$form."'";
		$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
		$form_sort = mysqli_result($result1, 0, 'sort');
		$form_id = mysqli_result($result1, 0, 'form_id');
		$form_sort = $form_sort + 1 ;
		
		mysqli_query($db,"INSERT INTO $table_forms VALUES ('', '', '', '$form_id', '$form_sort', '0' , '0', '1')");
		
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "&modoption=edit_fields&form=$form_id'</script>";
	
	break;

	case save_form :

		if ($form == 0) //when $form is 0 we have a new one.
		{
			$query = "SELECT form_name FROM $table_forms_config WHERE form_name = '".$form_name."'";
			$result = mysqli_query($db,$query);
			$RecordCount = mysqli_num_rows($result);
			
			if ($RecordCount > 0)
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"".$sas_lang['forms_module_form_name_exists']."\");
					   //-->
					   </script>";
			}

			mysqli_query($db,"INSERT INTO $table_forms_config VALUES ('', '$form_welcome', '$form_email_text', '$form_name', '$form_email', '$form_email_subject', '$check', '$form_thank_you_text', '$store_data', NOW(), 700, 0)");
			$result1 = mysqli_query($db,"SELECT id FROM $table_forms_config WHERE form_name = '".$form_name."'");
			$form_id = mysqli_result($result1, 0);
			
			for ($i = 1; $i < $form_input_number +1; $i++)
			{
				mysqli_query($db,"INSERT INTO $table_forms VALUES ('', '', '', '$form_id', '$i', '0', '0', '1')");
			}
		}
		else
		{
			mysqli_query($db,"UPDATE $table_forms_config SET form_name = '$form_name',
											email = '$form_email',
											email_subject = '$form_email_subject',
											email_text = '$form_email_text',
											thank_you = '$form_thank_you_text',
											welcome = '$form_welcome',
											send_copy = '$check',
											mode = '$store_data',
											width = '$form_width'
											WHERE id = '".$form."'");
		}

		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "'</script>";
	
	break;
	
	case save_fields :
		
		$i = 0;
		if (count($form_id) > 0)
		{
			foreach ($form_id as $value)
			{
				$input_name = sanitize($form_input_name[$i], 500 , 'U') ;
				$length = sanitize($form_input_length[$i], 5 , 'S');
				$sort = intval($form_input_order[$i]) ;
				$required = intval($form_input_req[$i]) ;
				$export = intval($form_input_exp[$i]) ;
				$value = intval($value) ;
				mysqli_query($db,"UPDATE $table_forms SET name = '$input_name',
												length = '$length',
												sort = '$sort',
												required = '$required',
												export = '$export',
												lf = '$lf'
												WHERE id = '$value'");
				$i++;
			}
		}
		
		mysqli_query($db,"UPDATE $table_forms_config SET email_return_field = '$email_field' WHERE id = '".$form."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=" . $module . "'</script>";
		
	break;

	case add_form :
	
		print "<p><span class=\"sas_module_subtitle\">" . $sas_lang['forms_module_add'] . "</span>\n";
		print "<div id=\"ErrorBox\"></div>\n";
		print "<FORM name=\"theForm\" id=\"theForm\" METHOD=\"POST\" enctype=\"multipart/form-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_form&form=0\">
				<table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\">\n";
		print "<tr>
				<td class=\"sas_row_color_even\">" . $sas_lang['forms_module_name'] . ":&nbsp; (*)</td>
				<td class=\"sas_row_color_even\"><input size=\"50\" name=\"form_name\" class=\"required\"></td>
				</tr>
				<tr>
				  <td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['forms_module_welcome'] . ":&nbsp;</td>
				</tr>";
		print "<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
			   
		// call basic ckeditor for welcome text
		small_editor('form_welcome', "", 'editor1');
		
		print "</td></tr>";
		print "	<tr>
				<td class=\"sas_row_color_even\">" . $sas_lang['forms_module_email'] . ":&nbsp; (*)</td>
				<td class=\"sas_row_color_even\"><input size=\"50\" name=\"form_email\" class=\"required\"></td>
				</tr>
				<tr>
				<td class=\"sas_row_color_even\">" . $sas_lang['forms_module_email_subject'] . ":&nbsp;</span></td>
				<td class=\"sas_row_color_even\"><input size=\"50\" class=\"textfield\" name=\"form_email_subject\"></td>
				</tr>
				<tr>
				  <td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['forms_module_email_text'] . ":&nbsp;</td>
				</tr>";
		print "<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
			   
		// call basic fck editor for welcome text
		small_editor('form_email_text', "", editor2);
		
		print "</td></tr>";
		print "	<tr>
				  <td colspan=\"2\"class=\"sas_row_color_even\">" . $sas_lang['forms_module_thank_you_text'] . ":&nbsp;</td>
				</tr>";
		print "<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
			   
		// call basic fck editor for welcome text
		small_editor('form_thank_you_text', "", editor3);
		
		print "</td></tr>";
		print "	<tr>
				  <td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['forms_module_data_in_table'] . ":&nbsp;
				  $sas_lang[yes]<input type=\"radio\" class=\"radio\" value=\"1\" name=\"store_data\">
					&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "<input type=\"radio\" class=\"radio\" name=\"store_data\" value=\"0\" checked></td>
				</tr>
				<tr>
				  <td class=\"sas_row_color_even\">" . $sas_lang['forms_module_number_input_fields'] . ": (*)</td>
				<td class=\"sas_row_color_even\"><input size=\"4\" name=\"form_input_number\" value=\"1\" class=\"required\"></td></tr>
				 <tr><td colspan=\"2\" class=\"sas_row_color_even\"><span class=\"sas_module_lbl2\">".$sas_lang['required_fields']."</span></td>
				</tr>";

		print "</table>
			<p><br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

	case edit_form :
	
		$query2 = "SELECT id, form_name, email, email_subject, email_text, welcome, send_copy, thank_you, mode, width FROM $table_forms_config WHERE id = '".$form."'";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
		$form_list = mysqli_fetch_array($result2);
		$query3 = "SELECT id, name, length, sort, required, export, lf FROM $table_forms WHERE form_id = '$form_list[0]' ORDER BY sort";
		$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 

		print "<p><span class=\"sas_module_subtitle\">".$sas_lang['forms_module_edit']."</span>";
		print "<FORM name=\"theForm\" METHOD=\"POST\" enctype=\"multipart/form-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_form&form=$form\">
			   <table cellspacing=\"2\" cellpadding=\"2\" width=\"720\" bgcolor=\"#CECECE\">";

		print "<tr>
					<td class=\"sas_row_color_even\">" . $sas_lang['forms_module_name'] . ":&nbsp;</td>
					<td class=\"sas_row_color_even\"><input class=\"textfield\" size=\"50\" name=\"form_name\" value=\"$form_list[1]\"></td>
				</tr>
				<tr>
					<td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['forms_module_welcome'] . ":&nbsp;</td>
				</tr>";
		print "<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
			   
		// call basic ckeditor for welcome text
		small_editor('form_welcome', $form_list[5], editor1);
		
		print "</td></tr>";
		print "	<tr>
				    <td class=\"sas_row_color_even\">" . $sas_lang['forms_module_email'] . ":&nbsp;</td>
				    <td class=\"sas_row_color_even\"><input class=\"textfield\" size=\"50\" name=\"form_email\" value=\"$form_list[2]\"></td>
				</tr>
				<tr>
				    <td class=\"sas_row_color_even\">" . $sas_lang['forms_module_email_subject'] . ":&nbsp;</td>
				    <td class=\"sas_row_color_even\"><input class=\"textfield\" size=\"50\" name=\"form_email_subject\" value=\"$form_list[3]\"></td>
				</tr>
				<tr>
				      <td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['forms_module_email_text'] . ":&nbsp;</td>
				</tr>";
		print "<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
			   
		// call basic fck editor for email text
		small_editor('form_email_text', $form_list[4], editor2);
		
		print "</td></tr>";
		print " <tr>
				<td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['forms_module_thank_you_text'] . ":&nbsp;</td>
				</tr>";
		print "<tr><td colspan=\"2\" width=\"620\" bgcolor=\"#F7F7F7\">";
			   
		// call basic fck editor for thank you text
		small_editor('form_thank_you_text', $form_list[7], editor3);
		
		print "</td></tr>";
		print "<tr>
				<td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['forms_module_data_in_table'] . ":&nbsp;&nbsp;&nbsp;" . $sas_lang['yes'] ;

		if ($form_list[8] == "1")
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"store_data\" checked>
					&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "<input type=\"radio\" class=\"radio\" name=\"store_data\" value=\"0\">";
		}
		else
		{
			print "<input type=\"radio\" class=\"radio\" value=\"1\" name=\"store_data\">
				 &nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "<input type=\"radio\" class=\"radio\" name=\"store_data\" value=\"0\" checked>";
		}
		print "</td>
				</tr>
				<tr>
				    <td class=\"sas_row_color_even\">" . $sas_lang['forms_module_width'] . ":&nbsp;</td>
				    <td class=\"sas_row_color_even\"><input class=\"textfield\" size=\"10\" name=\"form_width\" value=\"$form_list[9]\"></td>
				</tr>
				</table>";
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
	
	break;
	
	case edit_fields :
		
		$query2 = "SELECT id, form_name, email, email_subject, email_text, welcome, send_copy, thank_you, mode, email_return_field FROM $table_forms_config WHERE id = '".$form."'";
		$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING); 
		$form_list = mysqli_fetch_array($result2);
		
		$query3 = "SELECT id, name, length, sort, required, export, lf FROM $table_forms WHERE form_id = '$form_list[0]' ORDER BY sort";
		$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
		print "<p><br /><span class=\"sas_module_subtitle\">".$form_list[1] . ": " . $sas_lang['forms_module_fields']."</span>";
		
		print "<FORM name=\"theForm\" METHOD=\"POST\" enctype=\"multipart/form-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_fields&form=$form\">";
		print "<button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button><p>";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"820\" bgcolor=\"#CECECE\">";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\"><table cellspacing=\"0\" cellpadding=\"0\" width=\"100%\">
				<tr>
					<td height=\"25\" colspan=\"2\">&nbsp;</td>
					<td width=\"300\"><b>" . $sas_lang['forms_module_input_name'] . ":&nbsp;</b></td>
					<td>&nbsp;</td>
					<td><b>" . $sas_lang['forms_module_input_type'] . ":&nbsp;</b></td>
					<td>&nbsp;&nbsp;</td>
					<td><b>" . $sas_lang['forms_module_input_order'] . ":&nbsp;</b></td>
					<td width=\"20\">&nbsp;</td>
					<td><b>" . $sas_lang['forms_module_input_required'] . ":&nbsp;</b></td>
					<td width=\"20\">&nbsp;</td>
					<td><b>" . $sas_lang['forms_module_export'] . ":&nbsp;</b></td></tr>
					<tr>";
		$i = 0;
		$bgcolor = "#F7F7F7";
		
		while ($form_field_list = mysqli_fetch_array($result3))
		{
			$len = strlen($form_field_list[1]);
			print "<tr bgcolor=\"$bgcolor\">
					<td valign=\"top\"><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
					onClick=\"if(confirm('$sas_lang[forms_module_delete_confirm_input]'))
					parent.location='index.php?option=modulemanager&module=$module&modoption=delete_input&form=$form&field_id=$form_field_list[0]';\">
					<img border=\"0\" src=\"graphics/add.gif\" alt=\"" . $sas_lang['insert'] . "\" title=\"" . $sas_lang['insert'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
					onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=insert_input&form=$form_field_list[0]&sort=$form_field_list[3]'\">
					&nbsp;</td>
					<td>&nbsp;</td>
					<td valign=\"top\">";
			if($len > 45)
			{
				print "<textarea class=\"textfield\" size=\"45\" name=\"form_input_name[$i]\" rows=\"4\" cols=\"37\">$form_field_list[1]</textarea>&nbsp;</td>";
			}
			else
			{
				print "<input class=\"textfield\" size=\"45\" name=\"form_input_name[$i]\" value=\"$form_field_list[1]\"></td>";
			}
			print " <td valign=\"top\">&nbsp;</td>";
			//print "	<td valign=\"top\"><input class=\"textfield\" size=\"5\" name=\"form_input_length[$i]\" value=\"$form_field_list[2]\">&nbsp;</td>";
			
			print "<td valign=\"top\"><select name=\"form_input_length[$i]\">
					<option value=\"\">".$sas_lang['forms_module_choose_field']."</option>";
			if($form_field_list[2] == "CH")
			{
				print "<option value=\"CH\" selected>".$sas_lang['forms_module_checkbox']."</option>";
			}
			else
			{
				print "<option value=\"CH\">".$sas_lang['forms_module_checkbox']."</option>";
			}
			if($form_field_list[2] == "0")
			{
				print "<option value=\"0\" selected>".$sas_lang['forms_module_comment']."</option>";
			}
			else
			{
				print "<option value=\"0\">".$sas_lang['forms_module_comment']."</option>";
			}
			if($form_field_list[2] == "D")
			{
				print "<option value=\"D\" selected>".$sas_lang['forms_module_date_field']."</option>";
			}
			else
			{
				print "<option value=\"D\">".$sas_lang['forms_module_date_field']."</option>";
			}
			if($form_field_list[2] == "E")
			{
				print "<option value=\"E\" selected>".$sas_lang['forms_module_email_field']."</option>";
				$form_names[$form_field_list[0]] = $form_field_list[1] ;
			}
			else
			{
				print "<option value=\"E\">".$sas_lang['forms_module_email_field']."</option>";
			}
			if((intval($form_field_list[2]) <= 80) AND (intval($form_field_list[2]) > 1))
			{
				print "<option value=\"80\" selected>".$sas_lang['forms_module_input_field']."</option>";
			}
			else
			{
				print "<option value=\"80\">".$sas_lang['forms_module_input_field']."</option>";
			}		
			if($form_field_list[2] > 80)
			{
				print "<option value=\"1000\" selected>".$sas_lang['forms_module_textarea']."</option>";
			}
			else
			{
				print "<option value=\"1000\">".$sas_lang['forms_module_textarea']."</option>";
			}		
			if($form_field_list[2] == 1)
			{
				print "<option value=\"1\" selected>".$sas_lang['forms_module_yes_no']."</option>";
			}
			else
			{
				print "<option value=\"1\">".$sas_lang['forms_module_yes_no']."</option>";
			}		
			if($form_field_list[2] == "R0")
			{
				print "<option value=\"R0\" selected>".$sas_lang['forms_module_radio_start']."</option>";
			}
			else
			{
				print "<option value=\"R0\">".$sas_lang['forms_module_radio_start']."</option>";
			}		
			if((substr($form_field_list[2], 0, 1) == "R") AND ($form_field_list[2] != "R0") AND ($form_field_list[2] != "RE"))
			{
				print "<option value=\"R1\" selected>".$sas_lang['forms_module_radio_choice']."</option>";
			}
			else
			{
				print "<option value=\"R1\">".$sas_lang['forms_module_radio_choice']."</option>";
			}		
			if($form_field_list[2] == "RE")
			{
				print "<option value=\"RE\" selected>".$sas_lang['forms_module_radio_end']."</option>";
			}
			else
			{
				print "<option value=\"RE\">".$sas_lang['forms_module_radio_end']."</option>";
			}		
			if($form_field_list[2] == "S0")
			{
				print "<option value=\"S0\" selected>Select start</option>";
			}
			else
			{
				print "<option value=\"S0\">Select start</option>";
			}
			if((substr($form_field_list[2], 0, 1) == "S") AND ($form_field_list[2] != "S0") AND ($form_field_list[2] != "SE"))
			{
				print "<option value=\"S1\" selected>".$sas_lang['forms_module_select_choice']."</option>";
			}
			else
			{
				print "<option value=\"S1\">".$sas_lang['forms_module_select_choice']."</option>";
			}
			if($form_field_list[2] == "SE")
			{
				print "<option value=\"SE\" selected>".$sas_lang['forms_module_select_end']."</option>";
			}
			else
			{
				print "<option value=\"SE\">".$sas_lang['forms_module_select_end']."</option>";
			}		
					
			print "</select>&nbsp;</td>";
			print "	<td>&nbsp;&nbsp;</td>
					<td valign=\"top\"><input class=\"textfield\" size=\"5\" name=\"form_input_order[$i]\" value=\"$form_field_list[3]\">&nbsp;</td>
					<td>&nbsp;</td>";

			//we only want a required checkbox if the length is numeric or at start of selection or radio button (S0 and R0)
			if ((is_numeric($form_field_list[2]) == TRUE) OR ($form_field_list[2] == "CH") OR ($form_field_list[2] == "E") OR ($form_field_list[2] == "D") OR ($form_field_list[2] == "S0") OR ($form_field_list[2] == "R0"))
			{
				print "<td valign=\"top\" align=\"center\">";
				
				if ($form_field_list[4] == 0)
				{
					print "<input type=\"checkbox\" class=\"radio\" name=\"form_input_req[$i]\" value=\"1\">&nbsp;</td>";
				}
				else
				{
					print "<input type=\"checkbox\" class=\"radio\" name=\"form_input_req[$i]\" value=\"1\" checked>&nbsp;</td>";
				}
				print "<td>&nbsp;</td><td valign=\"top\" align=\"center\">";
				
				if ($form_field_list[5] == 0)
				{
					print "<input type=\"checkbox\" class=\"radio\" name=\"form_input_exp[$i]\" value=\"1\">&nbsp;</td>";
				}
				else
				{
					print "<input type=\"checkbox\" class=\"radio\" name=\"form_input_exp[$i]\" value=\"1\" checked>&nbsp;</td>";
				}
			}
			else
			{
				print "<td colspan=\"3\">&nbsp;</td>";
			}
			print "<input type=\"hidden\" size=\"5\" name=\"form_id[$i]\" value=\"$form_field_list[0]\"></tr>
					<tr><td colspan=\"12\">&nbsp</td></tr>";
			$i++;
		}
		
		print "<tr><td colspan=\"2\">&nbsp;</td><td class=\"sas_row_color_even\" colspan=\"2\"><b>".$sas_lang['forms_module_email_confirmation'].": </b><select name=\"email_field\">
				<option value=\"0\">".$sas_lang['forms_module_none']."</option>";
		
		if(count($form_names) > 0)
		{
			foreach ($form_names as $key => $value)
			{
				if($form_list[9] == $key)
				{
					print "<option value=\"$key\" selected>$value</option>\n";
				}
				else
				{
					print "<option value=\"$key\">$value</option>\n";
				}
			}
		}
		print "</select></td><td colspan=\"8\"><span class=\"sas_module_lbl2\">".$sas_lang['forms_module_send_copy']."</span>
				</td></tr></table></td></tr></table>";
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;

	case show_data :
			
		$query = "SELECT d.field_content, d.data_index, d.field_id FROM $table_forms as f
				JOIN $table_forms_data AS d WHERE f.form_id = d.form_id AND f.id = d.field_id AND f.form_id = '".$form."' AND f.export = 1 AND f.length != '0'
				ORDER BY d.data_index DESC,f.sort";

		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$RecordCount = mysqli_num_rows($result);
		if ($RecordCount > 0)
		{
			$date_time_format = $sas_config[dateformat] . " - %H:%m:%s";
			$query1 = "SELECT form_name, date_format(lastupdate, '$date_time_format') AS Readable_Date FROM $table_forms_config WHERE id = '".$form."'";
			$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
			$form_name = mysqli_result($result1, 0, 0);
			$form_date = mysqli_result($result1, 0, 1);
			
			if (IsSet ($_POST['number_of_items'])) //user gave a new value
			{
				$number_of_items = $_POST['number_of_items'];
			}
			else
			{
				$number_of_items = 20;	//if nothing is set 20 is default
			}

			print "<p>" . $sas_lang['forms_module_data_formname'] . ": <b>" . $form_name . "</b><br>\n";
			print $sas_lang['forms_module_last_updated'] . "&nbsp;<b>" . $form_date . "</b>\n" ;
			print "<form METHOD=\"POST\" enctype=\"multipart/form-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=show_data&form=$form\">
					 <b>".$sas_lang['forms_module_number_of_records']."
					<input type=\"text\" value=\"$number_of_items\" name=\"number_of_items\" size=\"5\"></form>\n";
			print "<FORM METHOD=\"POST\" enctype=\"multipart/form-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=delete_data&form=$form\">\n";
			print "<p><table cellpadding=\"2\" cellspacing=\"2\"><tr><td>&nbsp;</td>\n";

			//get the fieldnames of the form
			$query2 = "SELECT id, name FROM $table_forms WHERE form_id = '".$form."' AND (length != '0'
						AND substring(length,1,1) != 'S' OR substring(length,1,2) = 'S0') AND export = 1 ORDER BY sort";
			
			$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
			$field_count = mysqli_num_rows($result2);
			$number_of_items = ($number_of_items * $field_count) - 1 ; //-1 because we start counting with 0
			
			
			$i = 1 ;
			while ($form_headers = mysqli_fetch_array($result2))
			{
				print "<td valign=\"top\"><b>" . $form_headers[1] . "&nbsp;</b></td>\n";
				
				$field_array[$i] = $form_headers[0] ;	//array used to compare the field_id of the data with the field_id of the form
				$i++;
 			}
			
			print "<td valign=\"top\"><b>IP - datum </b></td>\n";
				
			$i = 0;	//record count
			$j = 1; //field_count;
			
			$bgcolor = "#F7F7F7";
			while ($form_data_list = mysqli_fetch_array($result))
			{
				if ($old_index != $form_data_list[1]) //when the data_index changes we have a new record to display.
				{
					if ($k == 0) //even row
					{
						$bgcolor = "#E7E7EF";
						$k = 1;
					}
					else	//odd row
					{
						$bgcolor = "#F7F7F7";
						$k = 0;
					}
					print "</tr><tr bgcolor=\"$bgcolor\"><td width=\"45\" valign=\"top\"><INPUT type=\"checkbox\" class=\"radio\" name=\"delete_list[]\" value=\"$form_data_list[1]\">
						  <img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
						  onClick=\"if(confirm('$sas_lang[forms_module_delete_confirm_data]'))
						  parent.location='index.php?option=modulemanager&module=$module&showdata=$form&modoption=delete_data&field_id=$form_data_list[1]&form=$form';\"></td>\n";
				}
				//print $field_array[$j] ."-". $form_data_list[2] ."<br />";
				
				//loop for creating empty cells for fields which have not been filled in .
				for ($m = 1; $m <= $field_count; $m++) 
				{
					if($field_array[$j] == $form_data_list[2])	//when the field_id is equal to the field_array the we have content
					{
						print "<td valign=\"top\">" . $form_data_list[0] . "&nbsp;</td>\n";
						break;
					}
					else
					{
						print "<td valign=\"top\">&nbsp;</td>\n";
						$j++;
					}
				}
				

				$old_index = $form_data_list[1];
				
				if ($field_count == $j) //when the data_index changes we add the IP and date (field_id = 0).
				{
					$query3 = "SELECT field_content FROM $table_forms_data WHERE field_id = 0 AND data_index = $form_data_list[1]";
					$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
					if(mysqli_num_rows($result3) > 0)
					{
						$IP_date = mysqli_result($result3, 0, 0);
					}
					print "<td valign=\"top\">$IP_date</td>";
					$j = 1; //reset fieldcount
				}
				else
				{
					$j++;		//add 1 to the field count.		
				}
				$i++;

				if ($i > $number_of_items)
				{
					break;	//if number of items is reached break.
				}
			}

		print "</tr>\n";
?>
<script language='javascript'>
    function checkUncheckAll(theElement)
    {
	 //documentation for this script at http://www.shawnolson.net/a/693/
     var theForm = theElement.form, z = 0;
		while (theForm[z].type == 'checkbox' && theForm[z].name != 'checkall') 
		{
		theForm[z].checked = theElement.checked;
		z++;
		}
    }
</script>
<?php
			print "<tr><td colspan=\"3\"><input type=\"checkbox\" class=\"radio\" name=\"checkall\" onclick=\"checkUncheckAll(this);\"/>
					".$sas_lang['select_all']."&nbsp;</td>
					<td><input type=\"submit\" value=\"" . $sas_lang['delete'] . "\" name=\"savebutton\"></td>";
			print "</tr></table>";
			
			$form_name = remove_special_characters($form_name);
			print "</form><p><form action=\"modules/sn_form/export.php?form_name=$form_name&showdata=$form\" method=\"post\">
					".$sas_lang['forms_module_export_headers']."</span> <input type=\"checkbox\" class=\"radio\" name=\"headers\" value=\"yes\">
					<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['forms_module_export']."</span></em></button>
					</form><p>";

		}
		else
		{
			print "<p>".$sas_lang['forms_module_no_records_found'];
		}

		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		
	break;

}
include ("interface/footer.inc.php");
?>