<?php

/*
*	SyndeoCMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* SyndeoCMS Software Version: 3.0.00  
* Copyright (C) 2007-2011: Fred Stuurman (fc.stuurman@gmail.com)
* Guestbook module : 
* admin.php: last changed 18/05/2011 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}
if (IsSet ($_GET['gbook_id']))
{
	$gbook_id = sanitize($_GET['gbook_id'], 5 , 'I'); //sanitize, 5 pos max
}

if (IsSet ($_GET['entry_id']))
{
	$entry_id = sanitize($_GET['entry_id'], 5 , 'I'); //sanitize, 5 pos max
}

if (IsSet ($_GET['modoption']))
{
	$modoption = sanitize($_GET['modoption'], 20, 'A');
}
else
{
	$modoption = "gbook_list";	//default choice
}

if (IsSet ($_POST['gbook_name']))
{
	$gbook_name = sanitize($_POST['gbook_name'], 50 , 'S'); //sanitize, 50 chars max
}

if (IsSet ($_POST['gbook_email']))
{
	$gbook_email = sanitize($_POST['gbook_email'], 80 , 'A'); //sanitize, 80 chars max
}

if (IsSet ($_POST['gbook_max_items']))
{
	$gbook_max_items = sanitize($_POST['gbook_max_items'], 5 , 'I'); //sanitize, integer 5 pos.
}
if (IsSet ($_POST['gbook_show_website']))
{
	$gbook_show_website = sanitize($_POST['gbook_show_website'], 1 , 'I'); //sanitize, integer 1 pos.
}
if (IsSet ($_POST['gbook_show_email']))
{
	$gbook_show_email = sanitize($_POST['gbook_show_email'], 1 , 'I'); //sanitize, integer 1 pos.
}
if (IsSet ($_POST['gbook_email_req']))
{
	$gbook_email_req = sanitize($_POST['gbook_email_req'], 1 , 'I'); //sanitize, integer 1 pos.
}
if (IsSet($_POST['gbook_publish']))        
{
	$gbook_publish = sanitize($_POST['gbook_publish'], 1, 'I'); //sanitize, integer 1 pos.
}
if (IsSet ($_GET[b]))
{
	$b = sanitize($_GET[b], 5 , 'I'); //sanitize, integer 5 pos.
}
if (IsSet ($_GET[l]))
{
	$l = sanitize($_GET[l], 5 , 'I'); //sanitize, integer 5 pos.
}

if (IsSet ($_POST['gbook_welcome_text']))
{
	$gbook_welcome_text = sanitize($_POST['gbook_welcome_text'], 1000 , 'H'); //sanitize the input, leave html tags in tact
}

if (IsSet ($_POST['gbook_reaction']))
{
	$gbook_reaction = sanitize($_POST['gbook_reaction'], 1000 , 'H'); //sanitize the input, leave html tags in tact
}

if (IsSet ($_POST['public']))
{
	$public = sanitize($_POST['public'], 1 , 'I');
}

load_language('', 'sn_gbook'); //load language file

include ("interface/header.inc.php");
print "
<script type=\"text/javascript\">
	$(document).ready(function() {
		$(\"#theForm\").validate(
		{
		errorLabelContainer: \"#ErrorBox\"
		}
	);
	});
	</script>";

include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
$class = "";
if($modoption == "gbook_list") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module\">$modulename</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

$table_gbook = $dbprefix."m_gbook";
$table_gbook_cat = $dbprefix."m_gbook_cat"; 

print "<span class=\"sas_module_title\">$modulename</span>
		<br />".$sas_lang['gbook_module_intro']. "<p><br />";

switch ($modoption) // start of switch
{

	case publish_post :

		mysqli_query($db,"UPDATE $table_gbook SET initial = '1' WHERE id = '$entry_id'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_entries&gbook_id=$gbook_id'</script>";
	
	break;
	
	case delete_entry :
	
		mysqli_query($db,"DELETE FROM $table_gbook WHERE id = '".$entry_id."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_entries&gbook_id=$gbook_id'</script>";
	
	break;
	
	case save_reaction :
	
		mysqli_query($db,"UPDATE $table_gbook SET reply = '$gbook_reaction' WHERE id = '".$entry_id."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=list_entries&gbook_id=$gbook_id'</script>";
	
	break;
		
	case save_gbook_page :
	
		if ($gbook_max_items == 0)
		{
			$gbook_max_items = 1; //force at least one entry
		}
		
		if ($gbook_id == 0)	//when $gbook_id is 0 we have a new gbook page.
		{
			$query = "SELECT id FROM $table_gbook_cat WHERE name = '".$gbook_name."'";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
			$RecordCount = mysqli_num_rows($result);
			if ($RecordCount > 0)
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"".$sas_lang['gbook_module_name_exists']."\");
					   //-->
					   </script>";
			}
			mysqli_query($db,"INSERT INTO $table_gbook_cat (id, name, email, welcome, items, show_website, show_email, email_req, check_before_post, public)
				VALUES (NULL, '$gbook_name', '$gbook_email', '$gbook_welcome_text', '$gbook_max_items', '$gbook_show_website', '$gbook_show_email', '$gbook_email_req', '$gbook_publish', '$public')");
			
			
		}
		else
		{
			mysqli_query($db,"UPDATE $table_gbook_cat 
								SET name = '$gbook_name' ,
								email = '$gbook_email' ,
								welcome = '$gbook_welcome_text' ,
								items = '$gbook_max_items',
								show_website = '$gbook_show_website',
								show_email = '$gbook_show_email',
								email_req = '$gbook_email_req',
								check_before_post = '$gbook_publish',
								public = '$public'
								WHERE id = '".$gbook_id."'");
		}
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=gbook_list'</script>";
		
	break;
	
	case add_gbook_page :
		
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['gbook_module_add_page'] . "</center><p></span>";
		print "\n<form name=\"theForm\" id=\"theForm\" METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_gbook_page&gbook_id=0\">";
		print "<div id=\"ErrorBox\"></div>\n";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">\n";
	
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_name'] . "&nbsp;(*)</td>
				<td class=\"sas_row_color_even\"><input type=\"text\" size=\"50\" class=\"required\" name=\"gbook_name\"></td></tr>";
		print "<tr><td colspan=\"2\" class=\"sas_row_color_even\">" . $sas_lang['gbook_module_welcome_text'] . ": &nbsp;</span></td></tr>
				<tr><td colspan=\"2\" bgcolor=\"#F7F7F7\">";
			   
		// call basic ckeditor for welcome text
		small_editor('gbook_welcome_text', "", 'editor1');
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_email_alert'] . "&nbsp;</td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=50 class=\"textfield\" name=\"gbook_email\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_max_items'] . ":&nbsp;</td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=4 class=\"textfield\" name=\"gbook_max_items\" value=\"5\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_show_website_link'] . "&nbsp;</td>";
		print "<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		
		print "<input type=\"radio\" value=\"1\" name=\"gbook_show_website\" checked>";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" name=\"gbook_show_website\" value=\"0\">";			
			
		print "</td></tr>" ;
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_show_email'] . "&nbsp;</span></td>";
		print "<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		
		print "<input type=\"radio\" value=\"1\" name=\"gbook_show_email\" checked>";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" name=\"gbook_show_email\" value=\"0\">";			
			
		print "</td></tr>" ;
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_email_req'] . "&nbsp;</td>";
		print "<td class=\"sas_row_color_even\">" . $sas_lang['yes'];
		
		print "<input type=\"radio\" value=\"1\" name=\"gbook_email_req\" checked>";
		print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
		print "<input type=\"radio\" name=\"gbook_email_req\" value=\"0\">";			
			
		print "</td></tr>" ;
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['gbook_module_publish_directly'].":</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes'];
		
		print "<input type=\"radio\" value=\"0\" name=\"gbook_publish\" checked>";
		print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'];
		print "<input type=\"radio\" name=\"gbook_publish\" value=\"1\">";

		print "</td></tr>" ;
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['gbook_module_is_public'].":</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes'];
		print "<input type=\"radio\" name=\"public\" value=\"1\">";
		print "<span class=text>&nbsp;&nbsp;&nbsp; ".$sas_lang['no']."</span>";
		print "<input type=\"radio\" value=\"0\" name=\"public\" checked>";
		
		print "</td></tr>" ;
		print "<tr><td class=\"sas_row_color_even\" colspan=\"4\"><span class=\"sas_module_lbl2\">" . $sas_lang['required_fields'] . "</td></tr>";	
		print "</table>";
	
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;
	
	case delete_gbook_page :
	
		mysqli_query($db,"DELETE FROM $table_gbook_cat WHERE id = '".$gbook_id."'");
		mysqli_query($db,"DELETE FROM $table_gbook WHERE guestbook_id = '".$gbook_id."'");
		print "<script language='javascript'>window.location = 'index.php?option=modulemanager&module=$module&modoption=gbook_list'</script>";
	
	break;
	
	case edit_gbook_page :
	
		$query = "SELECT name, welcome, email, items, show_website, show_email, check_before_post, public, email_req FROM $table_gbook_cat WHERE id = '".$gbook_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$gbook_name = mysqli_result($result, 0, 0);
		$gbook_welcome_text = mysqli_result($result, 0, 1);
		$email_owner = mysqli_result($result, 0, 2);
		$items = mysqli_result($result, 0, 3);
		$show_website = mysqli_result($result, 0, 4);
		$show_email = mysqli_result($result, 0, 5);
		$check_before_post = mysqli_result($result, 0, 6);
		$public = mysqli_result($result, 0, 7);
		$email_req = mysqli_result($result, 0, 8);
		
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['gbook_module_edit'] . "</span><p>";
		print "\n<form name=\"theForm\" METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_gbook_page&gbook_id=$gbook_id\" 
			   onsubmit=\"return checkinput(this);\">";
		print "<table cellspacing=\"2\" cellpadding=\"2\" width=\"640\" bgcolor=\"#CECECE\">";
	
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_name'] . "&nbsp;</td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=\"50\" class=\"textfield\" name=\"gbook_name\" value=\"$gbook_name\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\" colspan=\"2\">" . $sas_lang['gbook_module_welcome_text'] . ": &nbsp;</td></tr>
				<tr><td colspan=\"2\"  bgcolor=\"#F7F7F7\">";
			   
		// call basic ckeditor for welcome text
		small_editor('gbook_welcome_text', $gbook_welcome_text, 'editor1');
		
		print "</td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_email_alert'] . "&nbsp;</td><td class=\"sas_row_color_even\">
				<input type=\"text\" size=\"50\" class=\"textfield\" name=\"gbook_email\" value=\"$email_owner\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_max_items'] . ":&nbsp;&nbsp;</td><td  class=\"sas_row_color_even\">
				<input type=\"text\" size=\"4\" class=\"textfield\" name=\"gbook_max_items\" value=\"$items\"></td></tr>";
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_show_website_link'] . "&nbsp;</td>";
		print "<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		
			if ($show_website == 1)
			{
				print "<input type=\"radio\" value=\"1\" name=\"gbook_show_website\" checked>";
				print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
				print "<input type=\"radio\" name=\"gbook_show_website\" value=\"0\">";
			}
			else
			{
				print "<input type=\"radio\" value=\"1\" name=\"gbook_show_website\">";
				print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
				print "<input type=\"radio\" name=\"gbook_show_website\" value=\"0\" checked>";
			}
			
		print "</td></tr>" ;
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_show_email'] . "&nbsp;</td>";
		print "<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		
			if ($show_email == 1)
			{
				print "<input type=\"radio\" value=\"1\" name=\"gbook_show_email\" checked>";
				print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
				print "<input type=\"radio\" name=\"gbook_show_email\" value=\"0\">";
			}
			else
			{
				print "<input type=\"radio\" value=\"1\" name=\"gbook_show_email\">";
				print "<span class=text>&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] . "</span>";
				print "<input type=\"radio\" name=\"gbook_show_email\" value=\"0\" checked>";
			}
			
		print "</td></tr>" ;
		
		print "<tr><td class=\"sas_row_color_even\">" . $sas_lang['gbook_module_email_req'] . "&nbsp;</td>";
		print "<td class=\"sas_row_color_even\">" . $sas_lang['yes'] ;
		
			if ($email_req == 1)
			{
				print "<input type=\"radio\" value=\"1\" name=\"gbook_email_req\" checked>";
				print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
				print "<input type=\"radio\" name=\"gbook_email_req\" value=\"0\">";
			}
			else
			{
				print "<input type=\"radio\" value=\"1\" name=\"gbook_email_req\">";
				print "&nbsp;&nbsp;&nbsp; " . $sas_lang['no'] ;
				print "<input type=\"radio\" name=\"gbook_email_req\" value=\"0\" checked>";
			}
			
		print "</td></tr>" ;
		
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['gbook_module_publish_directly'].":</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes'];
		
			if($check_before_post == "0")
			{
				print "<input type=\"radio\" value=\"0\" name=\"gbook_publish\" checked>";
				print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'];
				print "<input type=\"radio\" name=\"gbook_publish\" value=\"1\">";
			}
			else
			{
				print "<input type=\"radio\" value=\"0\" name=\"gbook_publish\">";
				print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'];
				print "<input type=\"radio\" name=\"gbook_publish\" value=\"1\" checked>";
			}

		print "</td></tr>" ;
		print "<tr><td class=\"sas_row_color_even\">".$sas_lang['gbook_module_is_public'].":</td>";
		print "<td class=\"sas_row_color_even\">".$sas_lang['yes'];
		
		if ($public == "0")
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\">";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'];
			print "<input type=\"radio\" name=\"public\" value=\"0\" checked>";
		}
		else
		{
			print "<input type=\"radio\" value=\"1\" name=\"public\" checked>";
			print "&nbsp;&nbsp;&nbsp; ".$sas_lang['no'];
			print "<input type=\"radio\" name=\"public\" value=\"0\">";
		}

		print "</td></tr>" ;
		print "</table>";
		
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";
		
	break;
	
	case add_reaction :
	
		$query = "SELECT reply FROM $table_gbook WHERE id = '".$entry_id."'";
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$gbook_reaction = mysqli_result($result, 0, 0);
		
		print "<span class=\"sas_module_subtitle\">" . $sas_lang['gbook_module_add_reaction'] . "</span><p>";
		print "\n<form METHOD=\"POST\" enctype=\"multipart/link-data\" ACTION=\"index.php?option=modulemanager&module=$module&modoption=save_reaction&entry_id=$entry_id&gbook_id=$gbook_id\" 
			   onsubmit=\"return checkinput(this);\">";
		print "<table cellspacing=\"0\" cellpadding=\"0\">";
		
		print "<tr><td>" . $sas_lang['gbook_module_reaction'] . ": &nbsp;</td></tr>
				<tr><td><textarea cols=\"70\" rows=\"4\" name=\"gbook_reaction\">$gbook_reaction</textarea></td></tr>";
		print "<tr><td colspan=\"3\">&nbsp;</td></tr>";
		print "</table>";
		
		print "<br /><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module&modoption=list_entries&gbook_id=$gbook_id'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
	
		print "&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</form>";
		
	break;
	
	case gbook_list :
	
		$query = "SELECT id, name, public FROM $table_gbook_cat" ;
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		$RecordCount = mysqli_num_rows($result);
		if ($RecordCount > 0)
		{
			print "<table>";
			while ($gbook_list = mysqli_fetch_array($result)) //list all forms
			{
				//get the number of entries in the selected guestbook
				$query1 = "SELECT id FROM $table_gbook WHERE guestbook_id = '".$gbook_list[0]."'";

				$result1 = mysqli_query($db,$query1) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query1 . '".',E_USER_WARNING); 
				$RecordCount = mysqli_num_rows($result1);
				
				$public = "" ;
				if ($gbook_list[2] == 1)
				{
					$public = "(*)";
				}

				print "<tr>
					  <td><img border=\"0\" src=\"graphics/delete.gif\" alt=\"" . $sas_lang['delete'] . "\" title=\"" . $sas_lang['delete'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
					  onClick=\"if(confirm('$sas_lang[gbook_module_delete_confirm]'))
					  parent.location='index.php?option=modulemanager&module=$module&modoption=delete_gbook_page&gbook_id=$gbook_list[0]';\">
					  <img border=\"0\" src=\"graphics/edit.gif\" alt=\"" . $sas_lang['edit'] . "\" title=\"" . $sas_lang['edit'] . "\" width=\"16\" height=\"16\" class=\"tooltip\" 
					  onClick=\"parent.location='index.php?option=modulemanager&module=$module&modoption=edit_gbook_page&gbook_id=$gbook_list[0]'\">
					  </td>
					  <td><a href=\"index.php?option=modulemanager&module=$module&modoption=list_entries&gbook_id=$gbook_list[0]\">$gbook_list[1]</a> 
					  <span class=\"sas_module_lbl1\">($RecordCount)</span> <span class=\"sas_module_lbl2\">$public</span></td>
					  </tr>
					  <tr><td colspan=\"2\">&nbsp;</td></tr>";
			}
		}
		else
		{
			print $sas_lang['empty_list'] . "<br />" ;
		}
		print "</table><br /><span class=\"sas_module_lbl2\">(*) " . $sas_lang['gbook_module_is_public'] . "</span>
				<p><p><img border=\"0\" src=\"graphics/add.gif\">
			   <a href=\"index.php?option=modulemanager&module=$module&modoption=add_gbook_page\">" . $sas_lang['gbook_module_add_page'] . "</a></span>";
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";  
		
	break;
	
	case list_entries :
	
		$query = "SELECT name, items FROM $table_gbook_cat WHERE id = '".$gbook_id."'" ;
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
		$gbook_name = mysqli_result($result, 0, 0);
		$items = mysqli_result($result, 0, 1);
		
		print "<br /><span class=\"sas_module_subtitle\">" .$gbook_name. ":</span><p>";
		
		if ($b == "")
		{
			$b = 1;
			$l = $items;
		}
	
		$result = mysqli_query($db,"SELECT id FROM $table_gbook WHERE guestbook_id = '".$gbook_id."'");
		$count = mysqli_num_rows($result); //number of gbook entries
		if ($count != 0)
		{
			$limit_begin = $b -1;
		
			$query = "SELECT id, name, email, homepage, date, date_format(date, '%d-%m-%Y  %H:%i') AS Readable_Date, message, initial, reply, IP 
				FROM $table_gbook WHERE guestbook_id = '".$gbook_id."' ORDER BY date DESC LIMIT $limit_begin,$items";
			$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		
			$pagtot = ceil($count / $items); //number of pages
			if ($b == 1)
			{
				$pag = 1;
			} //page 1
			else
			{
				$pag = $l / $items; //different as page 1
			}
		
			if ($count < $l)
			{
				$l = $count;
			} //less records than the number per page
		
			$low = $b - $items;
		
			if ($b > $items) //we have more than one page
			{
				$high = $b -1;
				$previous_page = "<a STYLE=\"color: blue ; font-size: 12\" href=\"index.php?option=modulemanager&module=$module&modoption=list_entries&gbook_id=$gbook_id&b=$low&l=$high\">" .
				$sas_lang['gbook_module_previous_page'] . "</a>";
			}
			else
			{
				$previous_page = ''; //no previous page
			}
		
			if ($count > $l) //number of records biggter than $l
			{
				$low = $b + $items; //$b + number per page
				$high = $l + $items; //$l + number per page
				$next_page = "<a style=\"color: blue ; font-size: 12\" href=\"index.php?option=modulemanager&module=$module&modoption=list_entries&gbook_id=$gbook_id&b=$low&l=$high\">" .
				$sas_lang['gbook_module_next_page'] . "</a>";
			}
			else
			{
				$next_page = ''; //no next page
			}
			 
			while ($gbook_list = mysqli_fetch_array($result))
			{
				$gbook_message = str_replace("\n", "<br>\n", "$gbook_list[6]");
		
				print "<table cellpadding=\"2\" cellspacing=\"2\" bgcolor=\"#CECECE\"><tr>
						<td class=\"sas_row_color_even\" width='25%'><b>" . $sas_lang['gbook_module_name'] . " </b></td>
						<td class=\"sas_row_color_even\">$gbook_list[1]<br></td>
						</tr><tr>
						<td class=\"sas_row_color_even\"><b>" . $sas_lang['email'] . ": </b></td>
						<td class=\"sas_row_color_even\"><a href=\"mailto:".$gbook_list[2]."\">$gbook_list[2]</a><br></td>
						</tr><tr>
						<td class=\"sas_row_color_even\"><b>" . $sas_lang['gbook_module_website'] . "/IP:</b></td>
						<td class=\"sas_row_color_even\"><a href=\"".$gbook_list[3]."\">$gbook_list[3]</a> / [".$gbook_list[9]."]<br></td>
						</tr><tr>
						<td class=\"sas_row_color_even\"><b>" . $sas_lang['gbook_module_date'] . " </b></td>
						<td class=\"sas_row_color_even\">$gbook_list[5]<br></td>
						</tr><tr>
						<td class=\"sas_row_color_even\" valign=\"top\"><b>" . $sas_lang['gbook_module_text'] . "</b></td>
						<td class=\"sas_row_color_even\">$gbook_message<br></td>
						</tr><tr>
						<td class=\"sas_row_color_even\" valign=\"top\"><b>" . $sas_lang['gbook_module_reaction'] . ":</b></td>
						<td class=\"sas_row_color_even\" valign=\"top\">$gbook_list[8]<br></td>
						</tr><tr>
						<td class=\"sas_row_color_even\"><a href=index.php?option=modulemanager&module=$module&modoption=delete_entry&gbook_id=$gbook_id&entry_id=$gbook_list[0]>
						<font color=\"blue\"><b>[" . $sas_lang['delete'] . "]</a></b></font><br></td>
						<td class=\"sas_row_color_even\"><a href=index.php?option=modulemanager&module=$module&modoption=add_reaction&gbook_id=$gbook_id&entry_id=$gbook_list[0]>
						<font color=\"blue\"><b>[" . $sas_lang['gbook_module_add_reaction'] . "]</a></b></font>&nbsp;";
				
				if ($gbook_list[7] == 0)
				{
					print "<font size=\"2\"> <a href=index.php?option=modulemanager&module=$module&modoption=publish_post&gbook_id=$gbook_id&entry_id=$gbook_list[0]>
							<font color=\"blue\"><b>[".$sas_lang['gbook_module_publish']."]</a></font></b></td>";
				}
				print "</tr></table><hr width=\"640\" align=\"left\">";
			}
		
			print "<table width='600' border=\"0\"><tr>
				   <td width='28%' align=\"left\">$previous_page&nbsp;</td>
				   <td width='44%' align=\"center\">&nbsp;</td>
				   <td width='28%' align=\"right\">&nbsp$next_page</td>
				   </tr></table>";
		}
		else
		{
			print "" .$sas_lang['empty_list'] ."</span><p>" ;
		}
		print "\n<button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";

	break ;
} //end switch

include ("interface/footer.inc.php");
?>
